org.codehaus.plexus.util

## Interface DirectoryWalkListener

-     public interface DirectoryWalkListener

  Observes the actions of a `DirectoryWalker`.
  Version:
    $Id$
  See Also:
    `DirectoryWalker`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String message)`
    `void` | `directoryWalkFinished()` The directory walking has finished.
    `void` | `directoryWalkStarting(File basedir)` The directory walking has begun.
    `void` | `directoryWalkStep(int percentage, File file)` The included entry that was encountered.

- - ### Method Detail

    - #### directoryWalkStarting

          void directoryWalkStarting(File basedir)

      The directory walking has begun.
      Parameters:
        `basedir` - the basedir that walk started in.

    - #### directoryWalkStep

          void directoryWalkStep(int percentage,
                               File file)

      The included entry that was encountered.
      Parameters:
        `percentage` - rough percentage of the walk completed. (inaccurate)
        `file` - the file that was included.

    - #### directoryWalkFinished

          void directoryWalkFinished()

      The directory walking has finished.

    - #### debug

          void debug(String message)

Copyright © 2015. All rights reserved.